[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIndexDef.DescFields

Fields in field list that are ordered descending

## Declaration

Source position: db.pas line 941

`public property TIndexDef.DescFields: String read FDescFields write SetDescFields;`

## Description

DescFields is a list of fieldnames, separated by semicolons. It contains the names of the fields in the Fields property which are ordered in a descending manner. DescFields may not contain fieldnames that do not appear in Fields.

## See also

TIndexDef.Fields |  | Fields making up the index
TIndexDef.Expression |  | Expression that makes up the index values
TIndexDef.DescFields |  | Fields in field list that are ordered descending

The latest version of this document can be found at lazarus-ccr.sourceforge.net .